#pragma once

//..............................................................................

ulong
disablePreemptionAndWriteProtection (void);

void
restoreWriteProtectionAndPreemption (ulong cr0);

char*
createPathString (const struct path* path);

static
inline
long
atomicInc (volatile long* p)
{
	return __sync_add_and_fetch (p, 1);
}

static
inline
long
atomicDec (volatile long* p)
{
	return __sync_sub_and_fetch (p, 1);
}

uint64_t
getTimestamp (void);

struct module*
getOwnerModule (struct file* filp);

//..............................................................................
